TrainingUnitProgressDTO (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.shared

## Class TrainingUnitProgressDTO

- java.lang.Object
- - org.gcube.portal.trainingmodule.shared.TrainingUnitProgressDTO

- All Implemented Interfaces:
    Serializable

      public class TrainingUnitProgressDTO
      extends Object
      implements Serializable

  The Class TrainingUnitProgressDTO.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Feb 9, 2018
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingUnitProgressDTO()` Instantiates a new training unit progress.
    `TrainingUnitProgressDTO(long internalId, long unitId, String username, ItemType type, String itemId, boolean read)` Instantiates a new training unit progress.
    `TrainingUnitProgressDTO(long unitId, String username, ItemType type, String itemId, boolean read)` Instantiates a new training unit progress.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getInternalId()` Gets the internal id.
    `String` | `getItemId()` Gets the item id.
    `ItemType` | `getType()` Gets the type.
    `long` | `getUnitId()` Gets the unit id.
    `String` | `getUsername()` Gets the username.
    `boolean` | `isRead()` Checks if is read.
    `void` | `setInternalId(long internalId)` Sets the internal id.
    `void` | `setItemId(String itemId)` Sets the item id.
    `void` | `setRead(boolean read)` Sets the read.
    `void` | `setType(ItemType type)` Sets the type.
    `void` | `setUnitId(long unitId)` Sets the unit id.
    `void` | `setUsername(String username)` Sets the username.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingUnitProgressDTO

          public TrainingUnitProgressDTO()

      Instantiates a new training unit progress.

    - #### TrainingUnitProgressDTO

          public TrainingUnitProgressDTO(long unitId,
                                         String username,
                                         ItemType type,
                                         String itemId,
                                         boolean read)

      Instantiates a new training unit progress.
      Parameters:
        `unitId` - the unit id
        `username` - the username
        `type` - the type
        `itemId` - the item id
        `read` - the read

    - #### TrainingUnitProgressDTO

          public TrainingUnitProgressDTO(long internalId,
                                         long unitId,
                                         String username,
                                         ItemType type,
                                         String itemId,
                                         boolean read)

      Instantiates a new training unit progress.
      Parameters:
        `internalId` - the internal id
        `unitId` - the unit id
        `username` - the username
        `type` - the type
        `itemId` - the item id
        `read` - the read

  - ### Method Detail

    - #### getUnitId

          public long getUnitId()

      Gets the unit id.
      Returns:
        the unit id

    - #### setUnitId

          public void setUnitId(long unitId)

      Sets the unit id.
      Parameters:
        `unitId` - the new unit id

    - #### getInternalId

          public long getInternalId()

      Gets the internal id.
      Returns:
        the internal id

    - #### setInternalId

          public void setInternalId(long internalId)

      Sets the internal id.
      Parameters:
        `internalId` - the new internal id

    - #### getUsername

          public String getUsername()

      Gets the username.
      Returns:
        the username

    - #### setUsername

          public void setUsername(String username)

      Sets the username.
      Parameters:
        `username` - the new username

    - #### getType

          public ItemType getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(ItemType type)

      Sets the type.
      Parameters:
        `type` - the new type

    - #### getItemId

          public String getItemId()

      Gets the item id.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(String itemId)

      Sets the item id.
      Parameters:
        `itemId` - the new item id

    - #### isRead

          public boolean isRead()

      Checks if is read.
      Returns:
        true, if is read

    - #### setRead

          public void setRead(boolean read)

      Sets the read.
      Parameters:
        `read` - the new read

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All Rights Reserved.